package net.roseindia.servlet;

import java.sql.*;
import java.util.*;
import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import net.roseindia.servlet.DbConnection;

import net.roseindia.model.Category;

public class MainCategory extends HttpServlet{  
  protected void doGet(HttpServletRequest request,
		  HttpServletResponse response)throws ServletException, IOException {
   Connection conn = null;
   Statement stmt=null;
   List<Category> categorylist=new ArrayList<Category>();
   String sqlqueary="SELECT * FROM category where parent_id=0 ";
   try{
	conn=DbConnection.getConnection();
	stmt = conn.createStatement();
	ResultSet rs = stmt.executeQuery(sqlqueary);
	while (rs.next()) {
	 Category category=new Category();
	 category.setCategoryId(rs.getInt(1));
	 category.setCotegoryName(rs.getString(2));
	 category.setParentId(rs.getString(3));
	 categorylist.add(category);
	}
	
	stmt.close();
	conn.close();
   }catch (SQLException s){
	 System.out.println("SQL statement is not executed!");
   }
   
  request.setAttribute("categorylist", categorylist);
  RequestDispatcher dispatcher=getServletContext()
  .getRequestDispatcher("/mutipleselect_dropdown.jsp");
  dispatcher.forward(request, response);
 }
}
